import { User } from "../Types/goTypes";
import { api, APIResponse } from "../API/API";

/**
 * Use to remove a user from the system
 * @param props - The username of user to remove
 * @returns {boolean} True if removed, false if not
 * @example
 * const exampleUsername = "user";
 * DeleteUser({ usernameToDelete: exampleUsername });
 */

function DeleteUser(props: { usernameToDelete: string }): boolean {
  //console.log(props.usernameToDelete); FOR DEBUG
  let removed = false;
  api
    .removeUser(
      props.usernameToDelete,
      localStorage.getItem("accessToken") ?? "",
    )
    .then((response: APIResponse<User>) => {
      if (response.success) {
        removed = true;
      } else {
        console.error(response.message);
      }
    })
    .catch((error) => {
      console.error("An error occurred during creation:", error);
    });
  return removed;
}

export default DeleteUser;
